package cn.com.infosec.asn1;

import cn.com.infosec.util.io.Streams;
import java.io.IOException;
import java.io.InputStream;

public class BEROctetStringParser implements ASN1OctetStringParser {
   private ASN1StreamParser _parser;

   BEROctetStringParser(ASN1StreamParser parser) {
      this._parser = parser;
   }

   /** @deprecated */
   protected BEROctetStringParser(ASN1ObjectParser parser) {
      this._parser = parser._aIn;
   }

   public InputStream getOctetStream() {
      return new ConstructedOctetStream(this._parser);
   }

   public DERObject getDERObject() {
      try {
         return new BERConstructedOctetString(Streams.readAll(this.getOctetStream()));
      } catch (IOException var1) {
         throw new IllegalStateException("IOException converting stream to byte array: " + var1.getMessage());
      }
   }
}
